package com.AndroidC.ForHappyDate.FastRoad;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;

import android.app.ExpandableListActivity;
import android.app.ProgressDialog;
import android.os.Bundle;
import android.os.Handler;
import android.widget.ExpandableListAdapter;
import android.widget.SimpleExpandableListAdapter;
import android.widget.Toast;

import com.AndroidC.ForHappyDate.R;

public class Trans3Activity extends ExpandableListActivity {
	 private static final String NAME = "NAME";
	  private static final String IS_EVEN = "IS_EVEN";
	  private Hashtable outbus;
	  private FastRoadModules frm = new FastRoadModules();
	    
	    private ExpandableListAdapter mAdapter;
	   private Handler handler = new Handler();
	   private Hashtable result;
	    private ProgressDialog pd;
	    
	    @Override
	    public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        
	        pd = ProgressDialog.show(this, "Loading...", "ø ٷּ!", true,
	                false); 
	        
	        if( getIntent().getBundleExtra("car") != null) {
	            
		        
	        	new Thread( null, carRoadThread, "carRoadThread" ).start();
	        	
	        }
	        
	        else if( getIntent().getSerializableExtra( "trans" ) != null ) {
	        	new Thread( null, outLocThread, "outLocThread" ).start();
	        }
	        
	        else {
	           	new Thread( null, inLocThread, "inLocThread" ).start();
	        }
	    }
	    
	    private void outLoc() {
	    	  String srcLoc  = null;
		        String srcX  = null;
		        String srcY  = null;
		        String desLoc  = null;
		        String desX  = null;
		        String desY  = null;
		        
		        srcLoc = getIntent().getExtras().getString( "srcLoc" );
		        srcX = getIntent().getExtras().getString( "srcX" );
		        srcY = getIntent().getExtras().getString( "srcY" );
		        desLoc = getIntent().getExtras().getString( "desLoc" );
		        desX = getIntent().getExtras().getString( "desX" );
		        desY = getIntent().getExtras().getString( "desY" );
		        
		        // Hashtable null ƴ üũ  cast
		        Serializable s = getIntent().getSerializableExtra( "trans" );
		        if( s != null ) {
		        	outbus = new Hashtable( (HashMap) s );
		        }
		        
		        else {
		        	 System.out.println( "null" );
		        }
		        
		        String[] obPayment = ( String[] ) outbus.get( "payment" );
				String[] obStartSTN = ( String[] ) outbus.get( "startSTN" );
				String[] obEndSTN = ( String[] ) outbus.get( "endSTN" );
				String[] obTime = ( String[] ) outbus.get( "time" );
				
				// ̰  ϳ    ׋   Ѱ༭ ö 
				String[] obSX = ( String[] ) outbus.get( "SX" );
				String[] obSY = ( String[] ) outbus.get( "SY" );
				String[] obEX = ( String[] ) outbus.get( "EX" );
				String[] obEY = ( String[] ) outbus.get( "EY" );
				
				
				
	
		        List<Map<String, String>> groupData = new ArrayList<Map<String, String>>();
		        List<List<Map<String, String>>> childData = new ArrayList<List<Map<String, String>>>();
		        for (int i = 0; i < obPayment.length; i++) {
		            Map<String, String> curGroupMap = new HashMap<String, String>();
		            groupData.add(curGroupMap);
		            curGroupMap.put(NAME, obStartSTN[i] + "->" + obEndSTN[i] );
		            int hour = Integer.parseInt( obTime[i]) / 60;
		            int min = Integer.parseInt( obTime[i]) % 60;
		            if( obPayment[i].equals("") ) {
		            	  curGroupMap.put(IS_EVEN, "ҿð:  " + hour + "ð " + min + " : " + "");
		            }
		            
		            else {
		                curGroupMap.put(IS_EVEN, "ҿð:  " + hour + "ð " + min + " : " + obPayment[i] + "");
		            }
		                                                                  
	  
		            List<Map<String, String>> children = new ArrayList<Map<String, String>>();
		            
		            Hashtable childrenData = frm.cityResultParsing( srcX, srcY, srcLoc, obSX[i], obSY[i], obStartSTN[i],
	                        obEX[i], obEY[i], obEndSTN[i], desX, desY, desLoc );
		            
		            try {
		            	Thread.sleep(200);
		            } catch( Exception e ) {}
		         
		            TransportationData[] srcError = ( TransportationData[] ) childrenData.get( "error" );
		            if( srcError != null ) {
		            	Map<String, String> curChildMap = new HashMap<String, String>();
		    			children.add( curChildMap );
		    			  curChildMap.put(NAME, "߱ ȳ غ");
		    			  curChildMap.put(IS_EVEN, "̹ غԴϴ.");
		            }
		            
		            else {
		            
			        	TransportationData[] resultSrc = ( TransportationData[] ) childrenData.get( "start" );
				
					
					
					// ÿϰ쿡    ȳ ؾϹǷ
					//     ޾ƿͼ ´.
					//   迭 ε  ִ. ȳ
						
					Map<String, String> curChildMap = new HashMap<String, String>();
					children.add( curChildMap );
					int hour2 = Integer.parseInt(resultSrc[resultSrc.length-1].getItem( "totalTime"))/60;
					int min2 = Integer.parseInt(resultSrc[resultSrc.length-1].getItem( "totalTime"))%60;
					  curChildMap.put(NAME, resultSrc[resultSrc.length-1].getItem( "firstStartStation" ) + "->" +
							  resultSrc[resultSrc.length-1].getItem( "lastEndStation" ) + " " );
					  curChildMap.put(IS_EVEN, " " + resultSrc[resultSrc.length-1].getItem( "busTransitCount" ) + "ȸ " +
					 "ö " + resultSrc[resultSrc.length-1].getItem( "subwayTransitCount" ) + "ȸ " +
					  "\n " + resultSrc[resultSrc.length-1].getItem( "busStationCount" ) + "  " +
					  resultSrc[resultSrc.length-1].getItem( "subwayStationCount" ) + " \n" +
					  " : " + resultSrc[resultSrc.length-1].getItem( "payment" ) + " " +
					  " ҿð:  " + hour2 + "ð " + min2 +
					"\n" + " Ÿ:  " + (double)Math.round(Integer.parseInt(resultSrc[resultSrc.length-1].getItem( "totalDistance" ))/1000) + "km " +
					  " ȴ°Ÿ:  " + (double)Math.round(Integer.parseInt(resultSrc[resultSrc.length-1].getItem( "totalWalk" ))/1000) + "km" );
		
					
			            for( int x = 0; x < resultSrc.length - 1; x++ ) {
			            	Map<String, String> curChildMap2 = new HashMap<String, String>();
			    		
			            	
							 if( resultSrc[x].getItem( "trafficType" ).equals( "3" ) ) {
								 if( resultSrc[x].getItem( "selectionTime" ).equals("0") ) {}
								 else {
								 
									 curChildMap2.put(NAME, resultSrc[x].getItem( "guide" ).replaceFirst( "@", " ") );
									 curChildMap2.put(IS_EVEN, "  " + resultSrc[x].getItem( "distance" ) + "m" + " "
											 + " " + resultSrc[x].getItem( "selectionTime" ) + " ҿ");
										children.add( curChildMap2 );
								 }
								
							 }
							
							 else if( resultSrc[x].getItem( "trafficType" ).equals( "2" ) ) {
								 if( resultSrc[x].getItem( "selectionTime" ).equals("0") ) {}
								 else {
									 curChildMap2.put(NAME, resultSrc[x].getItem( "guide" ).replaceFirst( "@", " ") );
									 curChildMap2.put(IS_EVEN, " " + resultSrc[x].getItem( "name" ) +
											 "  " + resultSrc[x].getItem( "distance" ) + "m" + " "
											 + " " + resultSrc[x].getItem( "selectionTime" ) + " ҿ" );
										children.add( curChildMap2 );
								
								 
								
						
									System.out.println( resultSrc[x].getItem( "startX" ) );
									System.out.println( resultSrc[x].getItem( "startY" ) );
									System.out.println( resultSrc[x].getItem( "endX" ) );
									System.out.println( resultSrc[x].getItem( "endY" ) );
								 }
							}
							
							 else if( resultSrc[x].getItem( "trafficType" ).equals( "1" ) ) {
								 if( resultSrc[x].getItem( "selectionTime" ).equals("0") ) {}
								 else {
										curChildMap2.put(NAME, resultSrc[x].getItem( "guide" ).replaceFirst( "@", " ") );
									 curChildMap2.put(IS_EVEN, "ö " + resultSrc[x].getItem( "name" ) +
											 "  " + resultSrc[x].getItem( "distance" ) + "m" + " "
											 + " " + resultSrc[x].getItem( "selectionTime" ) + " ҿ" );
										children.add( curChildMap2 );
									 
								 
							
			
				
									System.out.println( resultSrc[x].getItem( "startX" ) );
									System.out.println( resultSrc[x].getItem( "startY" ) );
									System.out.println( resultSrc[x].getItem( "endX" ) );
									System.out.println( resultSrc[x].getItem( "endY" ) );
								 }
							}
							
			            }
		            }
		            
		            
		            TransportationData[] desError = ( TransportationData[] ) childrenData.get( "error2" );
			            if( desError != null ) {
			            	Map<String, String> curChildMap3 = new HashMap<String, String>();
			    			children.add( curChildMap3 );
			    			curChildMap3.put(NAME, "߱ ȳ غ");
			    			curChildMap3.put(IS_EVEN, "̹ غԴϴ.");
			            }
			            
			            else {
			            
				        	TransportationData[] resultDes = ( TransportationData[] ) childrenData.get( "destination" );
			            Map<String, String> curChildMap3 = new HashMap<String, String>();
						children.add( curChildMap3 );
						int hour2 = Integer.parseInt(resultDes[resultDes.length-1].getItem( "totalTime" ))/60;
						int min2 = Integer.parseInt(resultDes[resultDes.length-1].getItem( "totalTime" ))%60;
						 curChildMap3.put(NAME, resultDes[resultDes.length-1].getItem( "firstStartStation" ) + "->" +
								 resultDes[resultDes.length-1].getItem( "lastEndStation" ) + " " );
						  curChildMap3.put(IS_EVEN, " " + resultDes[resultDes.length-1].getItem( "busTransitCount" ) + "ȸ " +
						 "ö " + resultDes[resultDes.length-1].getItem( "subwayTransitCount" ) + "ȸ " +
						  "\n " + resultDes[resultDes.length-1].getItem( "busStationCount" ) + "  " +
						  resultDes[resultDes.length-1].getItem( "subwayStationCount" ) + " \n" +
						  " : " + resultDes[resultDes.length-1].getItem( "payment" ) + " " +
						  " ҿð:  " + hour2 + "ð " + min2 +
						"\n" + " Ÿ:  " + (double)Math.round(Integer.parseInt(resultDes[resultDes.length-1].getItem( "totalDistance" ))/1000) + "km " +
						  " ȴ°Ÿ:  " + (double)Math.round(Integer.parseInt(resultDes[resultDes.length-1].getItem( "totalWalk" ))/1000) + "km" );
		
	
						
				            for( int x = 0; x < resultDes.length - 1; x++ ) {
				            	Map<String, String> curChildMap4 = new HashMap<String, String>();
				    	
				            	
								 if( resultDes[x].getItem( "trafficType" ).equals( "3" ) ) {
									 if( resultDes[x].getItem( "selectionTime" ).equals("0") ) {}
									 else {
											curChildMap4.put(NAME, resultDes[x].getItem( "guide" ).replaceFirst( "@", " ") );
										 curChildMap4.put(IS_EVEN, "  " + resultDes[x].getItem( "distance" ) + "m" + " "
												 + " " + resultDes[x].getItem( "selectionTime" ) + " ҿ");
											children.add( curChildMap4 );
									 }
								
								 }
								
								 else if( resultDes[x].getItem( "trafficType" ).equals( "2" ) ) {
									 if( resultDes[x].getItem( "selectionTime" ).equals("0") ) {}
									 else {
											curChildMap4.put(NAME, resultDes[x].getItem( "guide" ).replaceFirst( "@", " ") );
										 curChildMap4.put(IS_EVEN, " " + resultDes[x].getItem( "name" ) +
												 "  " + resultDes[x].getItem( "distance" ) + "m" + " "
												 + " " + resultDes[x].getItem( "selectionTime" ) + " ҿ" );
											children.add( curChildMap4 );
									 
										 
							
							
										System.out.println( resultDes[x].getItem( "startX" ) );
										System.out.println( resultDes[x].getItem( "startY" ) );
										System.out.println( resultDes[x].getItem( "endX" ) );
										System.out.println( resultDes[x].getItem( "endY" ) );
									 }
								}
								
								 else if( resultDes[x].getItem( "trafficType" ).equals( "1" ) ) {
									 if( resultDes[x].getItem( "selectionTime" ).equals("0") ) {}
									 else {
										 curChildMap4.put(NAME, resultDes[x].getItem( "guide" ).replaceFirst( "@", " ") );
										 curChildMap4.put(IS_EVEN, "ö " + resultDes[x].getItem( "name" ) +
												 "  " + resultDes[x].getItem( "distance" ) + "m" + " "
												 + " " + resultDes[x].getItem( "selectionTime" ) + " ҿ" );
											children.add( curChildMap4 );
									 
									
				
					
										System.out.println( resultDes[x].getItem( "startX" ) );
										System.out.println( resultDes[x].getItem( "startY" ) );
										System.out.println( resultDes[x].getItem( "endX" ) );
										System.out.println( resultDes[x].getItem( "endY" ) );
									 }
								}
								 
						
							
				            }
									
				      }
	
		            
		            childData.add(children);
		        }
	  
	        
	        // Set up our adapter
	        mAdapter = new SimpleExpandableListAdapter(
	                this,
	                groupData,
	                R.layout.trans1one,
	                new String[] { NAME, IS_EVEN },
	                new int[] { R.id.text1, R.id.text2 },
	                childData,
	                R.layout.trans1two,
	                new String[] { NAME, IS_EVEN },
	                new int[] { R.id.text1, R.id.text2 }
	                );

	        setListAdapter(mAdapter);
	        pd.dismiss();
	    }
	    
	    private Runnable inLocThread = new Runnable() {
			 public void run() {
				 handler.post( new Runnable() {
					 public void run() {
						 inLoc();
					 }
				 });
			 }
	    };
	    
	    private void inLoc() {
	    	
		   	 MyApplication ma = (MyApplication) getApplication();
		   	Hashtable< String, TransportationData[][] >  h = ma.getMyClass();
		   	TransportationData[][] bus =  ( TransportationData[][] ) h.get("busNsub");
		



		        	 List<Map<String, String>> groupData = new ArrayList<Map<String, String>>();
				        List<List<Map<String, String>>> childData = new ArrayList<List<Map<String, String>>>();
				        for (int i = 0; i < bus.length; i++) {
				            Map<String, String> curGroupMap = new HashMap<String, String>();
				            groupData.add(curGroupMap);
				            
				            curGroupMap.put(NAME, bus[i][bus[i].length-1].getItem( "firstStartStation" ) + "->" +
				            		bus[i][bus[i].length-1].getItem( "lastEndStation" ) + " " );
				            
				            int hour = Integer.parseInt(bus[i][bus[i].length-1].getItem( "totalTime" ))/60;;
				            int min = Integer.parseInt(bus[i][bus[i].length-1].getItem( "totalTime" ))%60;
				            curGroupMap.put(IS_EVEN, " " + bus[i][bus[i].length-1].getItem( "busTransitCount" ) + "ȸ " +
									 "ö " + bus[i][bus[i].length-1].getItem( "subwayTransitCount" ) + "ȸ " +
									  "\n " + bus[i][bus[i].length-1].getItem( "busStationCount" ) + "  " +
									  bus[i][bus[i].length-1].getItem( "subwayStationCount" ) + " \n" +
									  " : " + bus[i][bus[i].length-1].getItem( "payment" ) + " " +
									  " ҿð:  " + hour + "ð " + min  +
									"\n" + " Ÿ:  " + (double)Math.round(Integer.parseInt(bus[i][bus[i].length-1].getItem( "totalDistance" ))/1000) + "km " +
									  " ȴ°Ÿ:  " + (double)Math.round(Integer.parseInt(bus[i][bus[i].length-1].getItem( "totalWalk" ))/1000) + "km" );
						
				                                                                  
			  
				            List<Map<String, String>> children = new ArrayList<Map<String, String>>();

					            for( int x = 0; x < bus[i].length - 1; x++ ) {
					            	Map<String, String> curChildMap2 = new HashMap<String, String>();
					    		
					            	
									 if( bus[i][x].getItem( "trafficType" ).equals( "3" ) ) {
										 if( bus[i][x].getItem( "selectionTime" ).equals("0") ) {}
										 else {
										 
											 curChildMap2.put(NAME, bus[i][x].getItem( "guide" ).replaceFirst( "@", " ") );
											 curChildMap2.put(IS_EVEN, "  " + bus[i][x].getItem( "distance" ) + "m" + " "
													 + " " + bus[i][x].getItem( "selectionTime" ) + " ҿ");
												children.add( curChildMap2 );
										 }
										
									 }
									
									 else if( bus[i][x].getItem( "trafficType" ).equals( "2" ) ) {
										 if( bus[i][x].getItem( "selectionTime" ).equals("0") ) {}
										 else {
											 curChildMap2.put(NAME, bus[i][x].getItem( "guide" ).replaceFirst( "@", " ") );
											 curChildMap2.put(IS_EVEN, " " + bus[i][x].getItem( "name" ) +
													 "  " + bus[i][x].getItem( "distance" ) + "m" + " "
													 + " " + bus[i][x].getItem( "selectionTime" ) + " ҿ" );
												children.add( curChildMap2 );
										
										 
										
								
											System.out.println( bus[i][x].getItem( "startX" ) );
											System.out.println( bus[i][x].getItem( "startY" ) );
											System.out.println( bus[i][x].getItem( "endX" ) );
											System.out.println( bus[i][x].getItem( "endY" ) );
										 }
									}
									
									 else if( bus[i][x].getItem( "trafficType" ).equals( "1" ) ) {
										 if( bus[i][x].getItem( "selectionTime" ).equals("0") ) {}
										 else {
												curChildMap2.put(NAME, bus[i][x].getItem( "guide" ).replaceFirst( "@", " ") );
											 curChildMap2.put(IS_EVEN, "ö " + bus[i][x].getItem( "name" ) +
													 "  " + bus[i][x].getItem( "distance" ) + "m" + " "
													 + " " + bus[i][x].getItem( "selectionTime" ) + " ҿ" );
												children.add( curChildMap2 );
											 
			
										 }
									}
									
					            }
					            
					            childData.add(children);
				            }
				        

				    	
		        
		        // Set up our adapter
		        mAdapter = new SimpleExpandableListAdapter(
		                this,
		                groupData,
		                R.layout.trans3one,
		                new String[] { NAME, IS_EVEN },
		                new int[] { R.id.text1, R.id.text2 },
		                childData,
		                R.layout.trans3two,
		                new String[] { NAME, IS_EVEN },
		                new int[] { R.id.text1, R.id.text2 }
		                );
		        
		        	setListAdapter(mAdapter);
		        	
		        	pd.dismiss();
			 }
		 
		 private Runnable outLocThread = new Runnable() {
			 public void run() {
				 handler.post( new Runnable() {
					 public void run() {
						 outLoc();
					 }
				 });
				
			 }
		 };
	    
	    
	    private Runnable carRoadThread = new Runnable() {
			 public void run() {
				 Bundle b = getIntent().getBundleExtra("car");
				
				 ////////////////////ڵ ã ///////////////////////
					// ϳ Ķ : ǽð, , ִ, , ڵ
					result = frm.carParsing(  b.getString( "srcLoc" ), 
							 b.getString( "srcX" ), 
							 b.getString( "srcY" ),
							 b.getString( "desLoc" ),
							 b.getString( "desX" ),
							 b.getString( "desY" ),
							 "ִ" );		
					
					handler.post( carGUI );
			 }
		 };
		 
		 private Runnable carGUI = new Runnable() {
			 public void run() {
				 
				 if( result.get( "gosok" ) != null ) {
					 //////////////// Ÿ, ҿð, , ýÿ  ///////////////////
						Hashtable carInfo = ( Hashtable ) result.get( "0" );
						
						
						// ӵ   ġ 
						Hashtable pos =  ( Hashtable ) result.get( "pos" );
						int first = Integer.parseInt( ( String ) pos.get( "first" ) );
						
						
						// ӵ  
						Hashtable gosok =  ( Hashtable ) result.get( "gosok" );
						Hashtable gosokPoint = ( Hashtable) gosok.get("0");
						String[][] gName = ( String[][] ) gosokPoint.get( "pointName" );
						String[][] gsName = ( String[][] ) gosokPoint.get( "pointsName" );
						String[][] gX = ( String[][] ) gosokPoint.get( "x" );
						String[][] gY = ( String[][] ) gosokPoint.get( "y" );
						
						Hashtable gosokGuide = ( Hashtable ) gosok.get("1");
						String[][] gGuide = ( String[][] ) gosokGuide.get( "guide" );
						String[][] gCon = ( String[][] ) gosokGuide.get( "con" );
						String[][] gMeter = ( String[][] ) gosokGuide.get( "meter" );
						
						

			            Hashtable hGuide =  ( Hashtable ) result.get( "2" );
						String[] pGuide = ( String[] ) hGuide.get( "guide" );
						String[] pCon = ( String[] ) hGuide.get( "con" );
						String[] pMeter = ( String[] ) hGuide.get( "meter" );
						
						///////////////////// pointName, x, y  ///////////////////
						Hashtable point =  ( Hashtable ) result.get( "1" );
						String[] pN = ( String[] ) point.get( "pointName" );
						String[] pX = ( String[] ) point.get( "x" );
						String[] pY = ( String[] ) point.get( "y" );
						
						
						
						
						/*
						// ƹ͵   ׳ Ʈ
						for( int i = 0; i < pN.length; i++ ) {
							System.out.println( pN[i] );
							System.out.println( pX[i] );
							System.out.println( pY[i] );
							*/
						
						
						 List<Map<String, String>> groupData = new ArrayList<Map<String, String>>();
					        List<List<Map<String, String>>> childData = new ArrayList<List<Map<String, String>>>();
					           
					            
					            for( int i = 0; i < gsName.length; i++ ) {
					            	 Map<String, String> curGroupMap = new HashMap<String, String>();
							            groupData.add(curGroupMap);
							            
						            // ѰŸ km ȯ
						            String tmp = (String) carInfo.get( "totalDistance" );
						            int sec = Integer.parseInt( (String) carInfo.get( "totalTime" ) ) / 60;
						            int hour = sec / 60;
						            int min = sec % 60;
						            double meter = Math.round( Integer.parseInt( tmp ) / 1000 );
						            curGroupMap.put(NAME, "[" + gsName[i][0] + "̿]  Ÿ  " + meter + "km " +
						            		"ҿð   " + hour + "ð " + min + "" );
						            curGroupMap.put(IS_EVEN, "  " + carInfo.get( "car" ) + " ýú  " + carInfo.get( "taxi" ) + "");
						        
						         
				 
									   List<Map<String, String>> children = new ArrayList<Map<String, String>>();
						            for( int x = 0; x < pGuide.length; x++ ) {
						            	Map<String, String> curChildMap = new HashMap<String, String>();
						            	
						            	if( x == first ) {
						            		String tmpCon = null;
						            		for( int y = 0;  y < gName[i].length; y++ ) {
						            			Map<String, String> curChildMap2 = new HashMap<String, String>();
							            		if( !gName[i][y].equals("") ) {
							            			curChildMap2.put(NAME, gName[i][y] + " " + gGuide[i][y] );
								    
								            	}
								            	
								            	else {
								            		curChildMap2.put(NAME, gGuide[i][y] );
								            
								            	}
								            	
								            	 if( gCon[i][y].equals( "0") ) {
								            		 tmpCon = "Ȯ";
								            	 }
								            	 
								            	 else if( gCon[i][y].equals( "1") ) {
								            		 tmpCon = "Ȱ";
								            	 }
								            	 
								            	 else if( gCon[i][y].equals( "2") ) {
								            		 tmpCon = "";
								            	 }
								            	 
								            	 else if( gCon[i][y].equals( "3") ) {
								            		 tmpCon = "ü";
								            	 }
								            	 
								            	 else if( gCon[i][y].equals( "4") ) {
								            		 tmpCon = "";
								            	 }
								            	 
								            	 curChildMap2.put(IS_EVEN,  tmpCon + " " + (double)Math.round(Integer.parseInt(gMeter[i][y])/1000) + "km"  );
													
													children.add( curChildMap2 );
						            		}
						            		
						            	;
						            	}
						            	
							            	if( !pN[x].equals( "" ) ) {
							            		 curChildMap.put(NAME, pN[x] + " " + pGuide[x] );
							            	}
							            	
							            	else {
							            		 curChildMap.put(NAME, pGuide[x] );
							            	}
							            	
							            	 String pConStr = null;
							            	 if( pCon[x].equals( "0") ) {
							            		 pConStr = "Ȯ";
							            	 }
							            	 
							            	 else if( pCon[x].equals( "1") ) {
							            		 pConStr = "Ȱ";
							            	 }
							            	 
							            	 else if( pCon[x].equals( "2") ) {
							            		 pConStr = "";
							            	 }
							            	 
							            	 else if( pCon[x].equals( "3") ) {
							            		 pConStr = "ü";
							            	 }
							            	 
							            	 else if( pCon[x].equals( "4") ) {
							            		 pConStr = "";
							            	 }
							            	 
											 curChildMap.put(IS_EVEN,  pConStr + " " + (double)Math.round(Integer.parseInt(pMeter[x])/1000) + "km"  );
												children.add( curChildMap );
						            }
						            
						            childData.add( children );
					            }
					 
					            	
					            
					      
						        // Set up our adapter
					            mAdapter = new SimpleExpandableListAdapter(
						                Trans3Activity.this,
						                groupData,
						                R.layout.trans1one,
						                new String[] { NAME, IS_EVEN },
						                new int[] { R.id.text1, R.id.text2 },
						                childData,
						                R.layout.trans1two,
						                new String[] { NAME, IS_EVEN },
						                new int[] { R.id.text1, R.id.text2 }
						                );
				 }
				 
				 else {
					 
					 if( result.size() != 3 ) {
				 //////////////// Ÿ, ҿð, , ýÿ  ///////////////////
					Hashtable carInfo = ( Hashtable ) result.get( "0" );
					
					 List<Map<String, String>> groupData = new ArrayList<Map<String, String>>();
				        List<List<Map<String, String>>> childData = new ArrayList<List<Map<String, String>>>();
				            Map<String, String> curGroupMap = new HashMap<String, String>();
				            groupData.add(curGroupMap);
				            
				            // ѰŸ km ȯ
				            String tmp = (String) carInfo.get( "totalDistance" );
				            double meter = Math.round( Integer.parseInt( tmp ) / 1000 );
				            int sec  = Integer.parseInt( (String) carInfo.get( "totalTime" ) ) / 60;
				            int hour2 = sec / 60;
				            int min2 = sec % 60;
				            curGroupMap.put(NAME, " Ÿ  " + meter + "km " +
				            		"ҿð  " +  hour2 + "ð " + min2 + "" );
				            curGroupMap.put(IS_EVEN, "  " + carInfo.get( "car" ) + " ýú  " + carInfo.get( "taxi" ) + "");
			  
				            List<Map<String, String>> children = new ArrayList<Map<String, String>>();
				            Hashtable hGuide =  ( Hashtable ) result.get( "2" );
							String[] pGuide = ( String[] ) hGuide.get( "guide" );
							String[] pCon = ( String[] ) hGuide.get( "con" );
							String[] pMeter = ( String[] ) hGuide.get( "meter" );
							
							///////////////////// pointName, x, y  ///////////////////
							Hashtable point =  ( Hashtable ) result.get( "1" );
							String[] pN = ( String[] ) point.get( "pointName" );
							String[] pX = ( String[] ) point.get( "x" );
							String[] pY = ( String[] ) point.get( "y" );
							
							/*
							// ƹ͵   ׳ Ʈ
							for( int i = 0; i < pN.length; i++ ) {
								System.out.println( pN[i] );
								System.out.println( pX[i] );
								System.out.println( pY[i] );
								*/
							
				            for( int x = 0; x < pGuide.length; x++ ) {
				            	Map<String, String> curChildMap = new HashMap<String, String>();
				            	if( !pN[x].equals( "" ) ) {
				            		 curChildMap.put(NAME, pN[x] + " " + pGuide[x] );
				            	}
				            	
				            	else {
				            		 curChildMap.put(NAME, pGuide[x] );
				            	}
				            	
				            	 String pConStr = null;
				            	 if( pCon[x].equals( "0") ) {
				            		 pConStr = "Ȯ";
				            	 }
				            	 
				            	 else if( pCon[x].equals( "1") ) {
				            		 pConStr = "Ȱ";
				            	 }
				            	 
				            	 else if( pCon[x].equals( "2") ) {
				            		 pConStr = "";
				            	 }
				            	 
				            	 else if( pCon[x].equals( "3") ) {
				            		 pConStr = "ü";
				            	 }
				            	 
				            	 else if( pCon[x].equals( "4") ) {
				            		 pConStr = "";
				            	 }
				            	 
								 curChildMap.put(IS_EVEN,  pConStr + " " + (double)Math.round(Integer.parseInt(pMeter[x])/1000) + "km"  );
									children.add( curChildMap );
				            }
				            
				            childData.add( children );
				 
				            	
				            
				      
					        // Set up our adapter
				            mAdapter = new SimpleExpandableListAdapter(
					                Trans3Activity.this,
					                groupData,
					                R.layout.trans3one,
					                new String[] { NAME, IS_EVEN },
					                new int[] { R.id.text1, R.id.text2 },
					                childData,
					                R.layout.trans3two,
					                new String[] { NAME, IS_EVEN },
					                new int[] { R.id.text1, R.id.text2 }
					                );
				            
					 }
				            	else {
									Toast.makeText(Trans3Activity.this, "ȳ ϴ.", Toast.LENGTH_LONG).show();
									
								}
				            
				            
				 }
				 
			      setListAdapter(mAdapter);
			      pd.dismiss();
					      
			 }
		 };
}
