package com.AndroidC.ForHappyDate.FastRoad;

import java.io.Serializable;

public class TransportationData implements Serializable {
	private String trafficType; // ( , , ö  )
	private String distance; //  ʹ Ÿ
	private String selectionTime; //  ҿð
	private String guide; // ȳ
	
	private String busTransitCount; // Ÿ Ƚ
	private String totalTime; //   ҿð
	private String payment; //  ҿݾ
	private String subwayTransitCount; // öŸ Ƚ
	private String totalWalk; //   ȴ 
	private String startX; //  x
	private String startY; //  y
	private String endX; //  x
	private String endY; //  y
	private String startName; // ġ̸
	private String endName; // ġ̸
	private String busStationCount; //  
	private String subwayStationCount; // ö  
	private String totalStationCount; //   
	private String totalDistance; //   Ÿ 
	private String name; // ö ̸, ȣ
	private String err;
	private String firstStartStation;
	private String lastEndStation;
	private String pathType;

	
	public String getItem( String item ) {
		if( item == "trafficType" ) return trafficType;
		if( item == "distance" ) return distance;
		if( item == "selectionTime" ) return selectionTime;
		if( item == "guide" ) return guide;
		if( item == "busTransitCount" ) return busTransitCount;
		if( item == "totalTime" ) return totalTime;
		if( item == "payment" ) return payment;
		if( item == "subwayTransitCount" ) return subwayTransitCount;
		if( item == "totalWalk" ) return totalWalk;
		if( item == "startX" ) return startX;
		if( item == "startY" ) return startY;
		if( item == "startName" ) return startName;
		if( item == "endX" ) return endX;
		if( item == "endY" ) return endY;
		if( item == "endName" ) return endName;
		if( item == "busStationCount" ) return busStationCount;
		if( item == "subwayStationCount" )return subwayStationCount;
		if( item == "totalStationCount" ) return totalStationCount;
		if( item == "totalDistance" ) return totalDistance;
		if( item == "name" ) return name;
		if( item == "firstStartStation" ) return firstStartStation;
		if( item == "lastEndStation" ) return lastEndStation;
		if( item == "pathType" ) return pathType;
		
		return null;
	}
	
	public TransportationData( String trafficType, String distance, String selectionTime,
								String guide ) {
		this.trafficType = trafficType;
		this.distance = distance;
		this.selectionTime = selectionTime;
		this.guide = guide;
	}
	
	public TransportationData( String trafficType, String name, String distance, String selectionTime,
								String startX, String startY, String startName, String endX, String endY,
								String endName, String guide ) {
		this.trafficType = trafficType;
		this.name = name;
		this.distance = distance;
		this.selectionTime = selectionTime;
		this.startX = startX;
		this.startY = startY;
		this.startName = startName;
		this.endX = endX;
		this.endY = endY;
		this.endName = endName;
		this.guide = guide;
	}
	
	public TransportationData( String payment, String busTransitCount, String subwayTransitCount,
								String busStationCount, String subwayStationCount, String totalStationCount,
								String totalTime, String totalWalk, String totalDistance,
								String firstStartStation, String lastEndStation, String tmp ) {
		this.payment = payment;
		this.busTransitCount = busTransitCount;
		this.subwayTransitCount = subwayTransitCount;
		this.busStationCount = busStationCount;
		this.subwayStationCount = subwayStationCount;
		this.totalStationCount = totalStationCount;
		this.totalTime = totalTime;
		this.totalDistance = totalDistance;
		this.totalWalk = totalWalk;
		this.lastEndStation = lastEndStation;
		this.firstStartStation = firstStartStation;
	}
	
	public TransportationData( String trafficType, String distance, String selectionTime,
			String guide, String pathType, boolean empty ) {
		this.trafficType = trafficType;
		this.distance = distance;
		this.selectionTime = selectionTime;
		this.guide = guide;
		this.pathType = pathType;
	}

	public TransportationData( String trafficType, String name, String distance, String selectionTime,
				String startX, String startY, String startName, String endX, String endY,
				String endName, String guide, String pathType, boolean empty ) {
			this.trafficType = trafficType;
			this.name = name;
			this.distance = distance;
			this.selectionTime = selectionTime;
			this.startX = startX;
			this.startY = startY;
			this.startName = startName;
			this.endX = endX;
			this.endY = endY;
			this.endName = endName;
			this.guide = guide;
			this.pathType = pathType;
	}

	public TransportationData( String payment, String busTransitCount, String subwayTransitCount,
			String busStationCount, String subwayStationCount, String totalStationCount,
			String totalTime, String totalWalk, String totalDistance,
			String firstStartStation, String lastEndStation, String tmp, String pathType, boolean empty ) {
			this.payment = payment;
			this.busTransitCount = busTransitCount;
			this.subwayTransitCount = subwayTransitCount;
			this.busStationCount = busStationCount;
			this.subwayStationCount = subwayStationCount;
			this.totalStationCount = totalStationCount;
			this.totalTime = totalTime;
			this.totalDistance = totalDistance;
			this.totalWalk = totalWalk;
			this.lastEndStation = lastEndStation;
			this.firstStartStation = firstStartStation;
			this.pathType = pathType;
	}
	
	public TransportationData( String err ) {
		this.err = err;
	}

}
