package com.AndroidC.ForHappyDate;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

class Yanolja {
	
	/* ߳ Ʈڽ URL Ķ (  , ޴ ʴ  ) */
	private static final String loc[] = { "DC01", "DC02", "DC03", "DC18", "DC19", "DC20", "DC21", "DC22", "DC23" };
	private static final String seoul[] = { "16", "109", "131", "130", "18", "19", "126", "20", "21", "132", "128", "134", "111" };
	private static final String seoul2[] = { "14", "213", "4", "6", "5", "129", "7", "10", "11", "12", "13", "112" };
	private static final String kyunggi[] = { "214", "23", "24", "25", "29", "27", "135", "30", "32", "34", "35", "113" };
	private static final String inchun[] = { "219", "216", "220", "215", "218", "221" };
	private static final String kangwon[] = { "226", "225", "228", "227", "283", "230", "275", "229", "282", "222", "223", "224", "231", "233" };
	private static final String choongchung[] = { "239", "234", "236", "237", "289", "240", "235", "245" };
	private static final String junla[] = { "246", "276", "257", "256", "249", "258" };
	private static final String kyungsang[] = { "267", "262", "260", "259", "261", "269", "277", "270", "266", "271", "272" };
	private static final String jeju[] = { "273", "274" };
	private static final String theme[] = { "DC09", "DC10", "DC11", "DC12", "DC13", "DC14", "DC15", "DC16", "DC17" };
	private static final String money[] = { "83", "84", "85", "86", "87", "88", "89" };
	private static final String[] sort = { "", "dniChuchun" };
	private int cnt;
	
	/*
	 * Ʈڽ ˻Լ
	 * : Ʈڽ , , ׸, ݴ뺰 ˻
	 * Ķ:
	 * int loc: , -1 null, loc 迭ε
	 * int loc2: , -1 null, loc ޶  迭 ε
	 * int theme: ׸, -1 null, theme 迭ε
	 * int money: ݴ뺰, -1 null, money 迭ε
	 * int cnt: ǥð, -1 null, 10~30 5
	 * String search: ġ ˻ϱ  ڼ ּ ˻
	 * : StringBuffer:  html
	*/
	public StringBuffer searchYanolja( int loc, int loc2, int theme, int money, int cnt, String search ,int page, int sort) {
		StringBuffer result = new StringBuffer();
		URL u = null;
		HttpURLConnection huc = null;
		BufferedReader br = null;
		String SC03 = "", SC01 = "", SC08 = "", SC05 = "";
		this.cnt = cnt;
		
		////////////// û URL , , ׸, ݴ뺰 Ķ ġκ //////////////
		if( loc == -1 ) SC03 = "";
		else SC03 = this.loc[ loc ];
		
		if( loc2 == -1 ) SC01 = "";
		else {
			if( loc == 0 ) {
				SC01 = seoul[ loc2 ];
			}
			
			if( loc == 1 ) {
				SC01 = seoul2[ loc2 ];
			}
			
			if( loc == 2 ) {
				SC01 = kyunggi[ loc2 ];
			}
			
			if( loc == 3 ) {
				SC01 = inchun[ loc2 ];
			}
			
			if( loc == 4 ) {
				SC01 = kangwon[ loc2 ];
			}
			
			if( loc == 5 ) {
				SC01 = choongchung[ loc2 ];
			}
			
			if( loc == 6 ) {
				SC01 = junla[ loc2 ];
			}
			
			if( loc == 7 ) {
				SC01 = kyungsang[ loc2 ];
			}
			
			if( loc == 8 ) {
				SC01 = jeju[ loc2 ];
			}
		}
		
		if( theme == -1 ) SC08 = "";
		else SC08 = this.theme[ theme ];
		
		if( money == -1 ) SC05 = "";
		else SC05 = this.money[ money ];
		try {
			   search = URLEncoder.encode( search , "euc-kr" );
			  } catch( Exception e ) {} 
	///////////////////////////////////////////////////////////////////////////////////////////
		String url = "http://www.yanolja.com/siteDateNew/source/dateFindDateImage.php?" +
			"page=" + page +
			"&AJAX=1&rnd=" +
			"&URL1=dateFindPart1.php" +
			"&URL2=dateFindDateImage.php" +
			"&SC01=" + SC01 + // 
			"&SC02=" +
			"&SC03="  + SC03 + //  
			"&SC04=" +
			"&SC05=" + SC05 + // ݴ뺰
			"&SC06=" +
			"&SC07=" +
			"&SC08=" + SC08 + // ׸
			"&SC09=N" +
			"&SPMIN=" +
			"&SPMAX=" +
			"&pageCnt=" + cnt + // ˻
			"&searchText=" + search + // GPSġҋ  
			"&orderby=" + this.sort[ sort ];
		
		try {
			u = new URL( url );
		} catch( Exception e ) { System.out.println( "URL : " + e ); }
		
		try {
			huc = (HttpURLConnection) u.openConnection();
			huc.setDoInput(true);
			huc.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			
			if( huc.getResponseCode() == 1 ) {
				System.out.println( "Ϸ!" );
			}
		
		} catch( Exception e ) { System.out.println( "URLConnection : " + e ); } 
		
		try {
			// "EUC-KR" ڵϿ  ޾ƿ 
			br = new BufferedReader( new InputStreamReader( huc.getInputStream(), "utf-8" ) );
			String buf = "";
			while( ( buf = br.readLine() ) != null ) {
				result.append( buf + "\r\n" );
			}
		
			br.close();
		} catch( Exception e ) { System.out.println( "BufferedReader : " + e ); } 

		return result;
		
	}
	
	/*
	 * Ʈڽ Ʈ  Ľ Լ
	 * :   ִ Ʈ Ʈڽ ũ  Ľ  ȭϿ Ŭ 
	 * Ķ : StringBuffer content:  html
	 * : YanoljaSearchData: Ľ ȭ ͵
	 */
	public YanoljaSearchData listData( StringBuffer content ) {
		int i = 0;
		String subject[] = new String[ cnt ];
		String imgLink[] = new String[ cnt ];
		String pyungaNhoogi[] = new String[ cnt * 2 ];
		String kind[] = new String[ cnt ];
		String score[] = new String[ cnt ];
		String itemLink[] = new String[ cnt ];

		// ˻    ٷ null  Ʒ ڵ Ұ 
		if( content.toString().matches( "˻  ϴ." ) )
			return new YanoljaSearchData( null, null, null, null, null, null, null, null );
		
	
		////////////// , ıⰹ, , ̹ũ, ۸ũ ϸĪ  //////////////
		Pattern p = Pattern.compile( "<img src=\"http://image.yanolja.com/site/imageFile/uploadFile/dateNew/\\d*\\w*.(jpg|JPG)\"" +
				"\\s*alt=\"[-R--\\d\\w\\s\\.\\(\\)\\-]*\"" +
		"\\s*width=\"\\d*\" height=\"\\d*\" border=\"\\d*\" style=\"cursor:pointer;\" onclick=\"dateInformationView\\('(\\d*)','(\\d*)','([DC\\d]*)','(\\d*)'" );
		Matcher m = p.matcher( content );
		Pattern p2 = Pattern.compile( "(|ı)<span style=\"color: #000; font-family: verdana;( font-weight: bold;)*\">(\\d*)</span>" );	
		Matcher m2 = p2.matcher( content );
		Pattern p3 = Pattern.compile( ">[-R]*/[-R]*" );
		Matcher m3 = p3.matcher( content );
		Pattern p4 = Pattern.compile( "-2px;\">\\s*\\d*.*\\d*" );
		Matcher m4 = p4.matcher( content );
		Pattern p5 = Pattern.compile( "callAHAH\\('dateFindDateImage.php\\?page=\\d*&rnd=\\d*&AJAX=1&SC01=\\w*\\d*&SC03=\\w*\\d*&SC05=\\w*\\d*&SC06=\\w*\\d*&SC07=\\w*\\d*&SC08=\\w*\\d*&SC09=N&SPMIN=&SPMAX=&orderby=dniIdx&searchText=[-R]*&pageCnt=\\d*'" );
		Matcher m5 = p5.matcher( content );
		///////////////////////////////////////////////////////////////////////////////////////////
		

		// ۸ũ, ̹ũ,   
		while( m.find() ) {
			System.out.println( m.group() );
			String tmp[] = m.group().split( "\"" );
			itemLink[i] = "http://www.yanolja.com/siteDateNew/source/dateInfoV2.php?" +
				"dniIdx=" + m.group(2) +
				"&SC01=" + m.group(3) + "&SC03=" + m.group(4) + "&SC05=" + m.group(5) + "&SC06=&SC07=";
			subject[i] = tmp[3];
			imgLink[i] = tmp[1];
			i++;
		}
		
		// 򰡿 ı  
		i = 0;
		while( m2.find() ) {
			String tmp2[] = m2.group().split( "(<|>)" );
			
			pyungaNhoogi[i] = tmp2[0] + tmp2[2] ;
			
			i++;
			
		
			
		}
		
		//  
		i = 0;
		while( m3.find() ) {
			
			String tmp3[] = m3.group().split( ">" );
			kind[i] = tmp3[1];
			i++;
		}
		
		//  
		i = 0;
		while( m4.find() ) {
			String tmp4[] = m4.group().split( "(>\\s*|\\s*<)" );
			score[i] = tmp4[1];
			i++;
		}
		
		// ũ 
		i = 0;
		while( m5.find() ) {
			i++;
		}
		
		// ũŭ ũ  迭 
		String pageLink[] = new String[i];
		String pageLinkLength = i + "";
		
		// MatcherŬ ٽ content ȣ(  ̹ content Ľ۾ Ͽ m5  ͸ Ű ־ )
		m5 = p5.matcher( content );
		
		// ũ 
		i = 0;
		while( m5.find() ) {
			String tmp5[] = m5.group().split( "'" );
			pageLink[i] = "http://www.yanolja.com" + tmp5[1];
			i++;
		}
			
		return new YanoljaSearchData( subject, imgLink, pyungaNhoogi, kind, score, itemLink, pageLink, pageLinkLength );
	}
}